Package gov.nasa.gsfc.sscweb.schema

# Class ConjunctionDescription

java.lang.Object
gov.nasa.gsfc.sscweb.schema.ConjunctionDescription

public class ConjunctionDescription extends Object
Description of satellite's conjunction. <p>Java class for ConjunctionDescription complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="ConjunctionDescription"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="SpacecraftRegion" type="{http://sscweb.gsfc.nasa.gov/schema}SpaceRegionType" minOccurs="0"/> <element name="RadialTracedRegion" type="{http://sscweb.gsfc.nasa.gov/schema}MapRegion" minOccurs="0"/> <element name="NorthBTracedRegion" type="{http://sscweb.gsfc.nasa.gov/schema}MapRegion" minOccurs="0"/> <element name="SouthBTracedRegion" type="{http://sscweb.gsfc.nasa.gov/schema}MapRegion" minOccurs="0"/> <element name="Location" type="{http://sscweb.gsfc.nasa.gov/schema}Coordinates" minOccurs="0"/> <element name="TraceDescription" type="{http://sscweb.gsfc.nasa.gov/schema}TraceDescription" minOccurs="0"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Coordinates`
  `location`
  Satellite's location at time of conjunction.
  `protected MapRegion`
  `northBTracedRegion`
  Satellite's north magnetice field traced region location at time of conjunction.
  `protected MapRegion`
  `radialTracedRegion`
  Satellite's radial trace region location at time of conjunction.
  `protected MapRegion`
  `southBTracedRegion`
  Satellite's south magnetice field traced region location at time of conjunction.
  `protected SpaceRegionType`
  `spacecraftRegion`
  Satellite's region location at time of conjunction.
  `protected TraceDescription`
  `traceDescription`
  Trace Description at time of conjunction.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConjunctionDescription()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Coordinates`
  `getLocation()`
  Satellite's location at time of conjunction.
  `MapRegion`
  `getNorthBTracedRegion()`
  Satellite's north magnetice field traced region location at time of conjunction.
  `MapRegion`
  `getRadialTracedRegion()`
  Satellite's radial trace region location at time of conjunction.
  `MapRegion`
  `getSouthBTracedRegion()`
  Satellite's south magnetice field traced region location at time of conjunction.
  `SpaceRegionType`
  `getSpacecraftRegion()`
  Satellite's region location at time of conjunction.
  `TraceDescription`
  `getTraceDescription()`
  Trace Description at time of conjunction.
  `void`
  `setLocation(Coordinates value)`
  Sets the value of the location property.
  `void`
  `setNorthBTracedRegion(MapRegion value)`
  Sets the value of the northBTracedRegion property.
  `void`
  `setRadialTracedRegion(MapRegion value)`
  Sets the value of the radialTracedRegion property.
  `void`
  `setSouthBTracedRegion(MapRegion value)`
  Sets the value of the southBTracedRegion property.
  `void`
  `setSpacecraftRegion(SpaceRegionType value)`
  Sets the value of the spacecraftRegion property.
  `void`
  `setTraceDescription(TraceDescription value)`
  Sets the value of the traceDescription property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### spacecraftRegion

    protected SpaceRegionType spacecraftRegion
    Satellite's region location at time of conjunction.

  - ### radialTracedRegion

    protected MapRegion radialTracedRegion
    Satellite's radial trace region location at time of conjunction.

  - ### northBTracedRegion

    protected MapRegion northBTracedRegion
    Satellite's north magnetice field traced region location at time of conjunction.

  - ### southBTracedRegion

    protected MapRegion southBTracedRegion
    Satellite's south magnetice field traced region location at time of conjunction.

  - ### location

    protected Coordinates location
    Satellite's location at time of conjunction.

  - ### traceDescription

    protected TraceDescription traceDescription
    Trace Description at time of conjunction.

- ## Constructor Details

  - ### ConjunctionDescription

    public ConjunctionDescription()

- ## Method Details

  - ### getSpacecraftRegion

    public SpaceRegionType getSpacecraftRegion()
    Satellite's region location at time of conjunction.
    Returns:
      possible object is `SpaceRegionType`

  - ### setSpacecraftRegion

    public void setSpacecraftRegion(SpaceRegionType value)
    Sets the value of the spacecraftRegion property.
    Parameters:
      `value` - allowed object is `SpaceRegionType`
    See Also:
      - `getSpacecraftRegion()`

  - ### getRadialTracedRegion

    public MapRegion getRadialTracedRegion()
    Satellite's radial trace region location at time of conjunction.
    Returns:
      possible object is `MapRegion`

  - ### setRadialTracedRegion

    public void setRadialTracedRegion(MapRegion value)
    Sets the value of the radialTracedRegion property.
    Parameters:
      `value` - allowed object is `MapRegion`
    See Also:
      - `getRadialTracedRegion()`

  - ### getNorthBTracedRegion

    public MapRegion getNorthBTracedRegion()
    Satellite's north magnetice field traced region location at time of conjunction.
    Returns:
      possible object is `MapRegion`

  - ### setNorthBTracedRegion

    public void setNorthBTracedRegion(MapRegion value)
    Sets the value of the northBTracedRegion property.
    Parameters:
      `value` - allowed object is `MapRegion`
    See Also:
      - `getNorthBTracedRegion()`

  - ### getSouthBTracedRegion

    public MapRegion getSouthBTracedRegion()
    Satellite's south magnetice field traced region location at time of conjunction.
    Returns:
      possible object is `MapRegion`

  - ### setSouthBTracedRegion

    public void setSouthBTracedRegion(MapRegion value)
    Sets the value of the southBTracedRegion property.
    Parameters:
      `value` - allowed object is `MapRegion`
    See Also:
      - `getSouthBTracedRegion()`

  - ### getLocation

    public Coordinates getLocation()
    Satellite's location at time of conjunction.
    Returns:
      possible object is `Coordinates`

  - ### setLocation

    public void setLocation(Coordinates value)
    Sets the value of the location property.
    Parameters:
      `value` - allowed object is `Coordinates`
    See Also:
      - `getLocation()`

  - ### getTraceDescription

    public TraceDescription getTraceDescription()
    Trace Description at time of conjunction.
    Returns:
      possible object is `TraceDescription`

  - ### setTraceDescription

    public void setTraceDescription(TraceDescription value)
    Sets the value of the traceDescription property.
    Parameters:
      `value` - allowed object is `TraceDescription`
    See Also:
      - `getTraceDescription()`